Subject: Re: bug#18847: 24.4; Inconsistent behaviour of M-h with negative arguments

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 Oct 2014 12:35:00 -0400

[ Be careful to keep [email-masked] in the Cc, please.  ]

> 1) The sole real bug - in my opinion - is that M-h doesn't retain the
>    "marking direction" from a negative argument when repeating.

OK, I agree with this, it's a plain bug.

> 2) When applying M-h (or any other marking command) at the end of a
>    buffer (at least interactively, I failed to address this), the right
>    thing to do is marking (a) previous element(s).  I would like to know
>    if you find this a good idea.

I have no opinion on this, I never use M-h myself.

> 3) M-h (C-M-h and C-x C-p ) differ from C-@ and C-M-@ that they are
>    always marking (a) whole element(s).  I wanted to clarify in the
>    documentation string that a marking from point is also achievable
>    with M-h.

So this part is just a docstring change, right?

> 4) M-h does signal an error applying zero as an argument, the other
>    marking commands just ignore zero, so I thought a message might be a
>    good compromise to the current state...

I have no opinion on this one either.  It doesn't seem terribly
important, so reducing discrepancies in this case might be the
dominating factor.

        Stefan